org.apache.http.client.entity

## Class UrlEncodedFormEntity

- java.lang.Object
- - org.apache.http.entity.AbstractHttpEntity
  - - org.apache.http.entity.StringEntity
    - - org.apache.http.client.entity.UrlEncodedFormEntity

- All Implemented Interfaces:
    Cloneable ， HttpEntity

      public class UrlEncodedFormEntity
      extends StringEntity

  一个由URL编码对列表组成的实体。 这在发送HTTP POST请求时通常很有用。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.entity.StringEntity

      `content`

    - ### Fields inherited from class org.apache.http.entity.AbstractHttpEntity

      `chunked, contentEncoding, contentType, OUTPUT_BUFFER_SIZE`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `UrlEncodedFormEntity(Iterable<? extends NameValuePair> parameters)` 构造一个新的`UrlEncodedFormEntity`与参数列表，默认编码为`HTTP.DEFAULT_CONTENT_CHARSET`
    `UrlEncodedFormEntity(Iterable<? extends NameValuePair> parameters, Charset charset)` 使用指定编码中的参数列表构造新的`UrlEncodedFormEntity` 。
    `UrlEncodedFormEntity(List<? extends NameValuePair> parameters)` 构造新的`UrlEncodedFormEntity`与参数列表，默认编码为`HTTP.DEFAULT_CONTENT_CHARSET`
    `UrlEncodedFormEntity(List<? extends NameValuePair> parameters, String charset)` 构造新的`UrlEncodedFormEntity`与指定编码中的参数列表。

  - ### 方法摘要

    - ### Methods inherited from class org.apache.http.entity.StringEntity

      `clone, getContent, getContentLength, isRepeatable, isStreaming, writeTo`

    - ### Methods inherited from class org.apache.http.entity.AbstractHttpEntity

      `consumeContent, getContentEncoding, getContentType, isChunked, setChunked, setContentEncoding, setContentEncoding, setContentType, setContentType, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 构造方法详细信息

    - #### UrlEncodedFormEntity

          public UrlEncodedFormEntity(List<? extends NameValuePair> parameters,
                              String charset)
                               throws UnsupportedEncodingException

      构造新的`UrlEncodedFormEntity`与指定编码中的参数列表。
      参数
        `parameters` - 名称/值对列表
        `charset` - 编码名称/值对编码
      异常
        `UnsupportedEncodingException` - 如果不支持编码

    - #### UrlEncodedFormEntity

          public UrlEncodedFormEntity(Iterable<? extends NameValuePair> parameters,
                              Charset charset)

      构造新的`UrlEncodedFormEntity`与指定编码中的参数列表。
      参数
        `parameters` - 名称/值对的可迭代集合
        `charset` - 编码名称/值对编码
      从以下版本开始：
        4.2

    - #### UrlEncodedFormEntity

          public UrlEncodedFormEntity(List<? extends NameValuePair> parameters)
                               throws UnsupportedEncodingException

      构造一个新的`UrlEncodedFormEntity`与参数列表，默认编码为`HTTP.DEFAULT_CONTENT_CHARSET`
      参数
        `parameters` - 名称/值对列表
      异常
        `UnsupportedEncodingException` - 如果不支持默认编码

    - #### UrlEncodedFormEntity

          public UrlEncodedFormEntity(Iterable<? extends NameValuePair> parameters)

      构造新的`UrlEncodedFormEntity`与参数列表，默认编码为`HTTP.DEFAULT_CONTENT_CHARSET`
      参数
        `parameters` - 名称/值对的可迭代收集
      从以下版本开始：
        4.2

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585